[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: idea: unclear purge cleanup package

On Fri, Dec 27, 2002 at 05:35:47PM +0000, Colin Watson wrote:
> (If joeyh's idea flies, that would be great ... let it have a file that
> lists all the postrms it should be removing in 'PACKAGE MIN-VERSION
> MAX-VERSION' format or something.)

or even better, replace. It would be easy to have a package to do that, lets
call it "fix-debian" or "debfix" which is maintained, and package authors
can actually send comments to the maintainer. It would be good to have
support in dpkg to actually update this most often, or the package
manintainers simple pre depend on it.

Pre-Depend: debfix (>=1.0.1234)

What do people think? Is this needed, are there many samples?

This would also remove the uglyness with a lot of compatibility hacks from
the package scripts, on the other hand, it would still be ugly.

  (OO)      -- Bernd_Eckenfels@Wendelinusstrasse39.76646Bruchsal.de --
 ( .. )  ecki@{inka.de,linux.de,debian.org} http://home.pages.de/~eckes/
  o--o     *plush*  2048/93600EFD  eckes@irc  +497257930613  BE5-RIPE
(O____O)  When cryptography is outlawed, bayl bhgynjf jvyy unir cevinpl!

Reply to: